import * as i0 from '@angular/core';
import { EventEmitter, inject, ViewContainerRef, Component, Output, Pipe, Input, ViewChild, NgModule } from '@angular/core';
import { faFile, faUser, faMessage as faMessage$1, faThumbsUp } from '@fortawesome/free-regular-svg-icons';
import { faHighlighter, faMessage, faTag, faUserTag, faSliders, faBookOpenReader, faQuoteRight, faArrowTrendUp, faTrash, faMagnifyingGlass } from '@fortawesome/free-solid-svg-icons';
import * as i2 from 'ng2-pdf-viewer';
import { PdfViewerComponent, PdfViewerModule } from 'ng2-pdf-viewer';
import * as i1 from '@fortawesome/angular-fontawesome';
import { FontAwesomeModule } from '@fortawesome/angular-fontawesome';
import * as i1$1 from '@angular/router';
import * as i4 from '@angular/common';
import * as i5 from '@angular/forms';
import { FormsModule } from '@angular/forms';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

class DynamicComponent {
    constructor() {
        this.highlightClicked = new EventEmitter();
        this.tagClicked = new EventEmitter();
        this.privateTagClicked = new EventEmitter();
        this.commentClicked = new EventEmitter();
        this.removeRequested = new EventEmitter();
        this.vcr = inject(ViewContainerRef);
        this.I = {
            faHighlighter,
            faMessage,
            faTag,
            faUserTag
        };
    }
    onHighlightClicked() {
        this.highlightClicked.emit();
        this.removeRequested.emit();
    }
    onTagClicked() {
        this.tagClicked.emit();
        this.removeRequested.emit();
    }
    onPrivateTagClicked() {
        this.privateTagClicked.emit();
        this.removeRequested.emit();
    }
    onCommentClicked() {
        this.commentClicked.emit();
        this.removeRequested.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DynamicComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: DynamicComponent, isStandalone: true, selector: "mo-dynamic", outputs: { highlightClicked: "highlightClicked", tagClicked: "tagClicked", privateTagClicked: "privateTagClicked", commentClicked: "commentClicked", removeRequested: "removeRequested" }, ngImport: i0, template: "<div class=\"btn-group\">\n  <button type=\"button\" title=\"Highlight\" class=\"btn btn-sm btn-primary\"\n  (click)=\"onHighlightClicked()\">\n    <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faHighlighter\"></fa-icon>\n  </button>\n\n  <button type=\"button\" title=\"Tag\" class=\"btn btn-sm btn-primary\"\n  (click)=\"onTagClicked()\">\n    <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faTag\"></fa-icon>\n  </button>\n\n  <button type=\"button\" title=\"Private Tag\" class=\"btn btn-sm btn-primary\"\n  (click)=\"onPrivateTagClicked()\">\n    <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faUserTag\"></fa-icon>\n  </button>\n\n  <button type=\"button\" title=\"Comment\" class=\"btn btn-sm btn-primary\"\n  (click)=\"onCommentClicked()\">\n    <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faMessage\"></fa-icon>\n  </button>\n</div>\n", dependencies: [{ kind: "ngmodule", type: FontAwesomeModule }, { kind: "component", type: i1.FaIconComponent, selector: "fa-icon", inputs: ["icon", "title", "animation", "spin", "pulse", "mask", "styles", "flip", "size", "pull", "border", "inverse", "symbol", "rotate", "fixedWidth", "classes", "transform", "a11yRole"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DynamicComponent, decorators: [{
            type: Component,
            args: [{ standalone: true, selector: 'mo-dynamic', imports: [FontAwesomeModule], template: "<div class=\"btn-group\">\n  <button type=\"button\" title=\"Highlight\" class=\"btn btn-sm btn-primary\"\n  (click)=\"onHighlightClicked()\">\n    <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faHighlighter\"></fa-icon>\n  </button>\n\n  <button type=\"button\" title=\"Tag\" class=\"btn btn-sm btn-primary\"\n  (click)=\"onTagClicked()\">\n    <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faTag\"></fa-icon>\n  </button>\n\n  <button type=\"button\" title=\"Private Tag\" class=\"btn btn-sm btn-primary\"\n  (click)=\"onPrivateTagClicked()\">\n    <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faUserTag\"></fa-icon>\n  </button>\n\n  <button type=\"button\" title=\"Comment\" class=\"btn btn-sm btn-primary\"\n  (click)=\"onCommentClicked()\">\n    <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faMessage\"></fa-icon>\n  </button>\n</div>\n" }]
        }], propDecorators: { highlightClicked: [{
                type: Output
            }], tagClicked: [{
                type: Output
            }], privateTagClicked: [{
                type: Output
            }], commentClicked: [{
                type: Output
            }], removeRequested: [{
                type: Output
            }] } });

function multiCriteriaRegex(criteria, separator) {
    const words = criteria.split(separator).join('|');
    return new RegExp(words, 'gi');
}

class HighlightPipe {
    transform(content, criteria) {
        if (!content || !criteria) {
            return content;
        }
        const regex = multiCriteriaRegex(criteria, ' ');
        return content.replace(regex, match => {
            return `<span class="match-highlight">${match}</span>`;
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: HighlightPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: HighlightPipe, name: "highlight" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: HighlightPipe, decorators: [{
            type: Pipe,
            args: [{ name: 'highlight' }]
        }] });

class MoPdfViewerComponent {
    constructor(router, route, viewContainerRef) {
        this.router = router;
        this.route = route;
        this.viewContainerRef = viewContainerRef;
        this.pdfSrc = '';
        this.documentTitle = '';
        this.documentClassification = 'Unclassified';
        this.documentAuthor = '';
        this.minimalView = false;
        this.I = {
            faFile,
            faUser,
            faSliders,
            faBookOpenReader,
            faMessage: faMessage$1,
            faQuoteRight,
            faArrowTrendUp,
            faThumbsUp,
            faTag,
            faTrash
        };
        this.searchText = '';
        this.results = [
            {
                label: 'Source Name And Results'
            },
            {
                label: 'Source Name And Results'
            },
            {
                label: 'Source Name And Results'
            },
            {
                label: 'Source Name And Results'
            }
        ];
        this.comments = [];
        this.spanCommentsMap = new Map();
        this.highlights = [];
        this.spanHighlightsMap = new Map();
        this.tags = [];
        this.spanTagMap = new Map();
        this.searchCategories = [
            {
                label: 'Text',
                icon: faMagnifyingGlass
            },
            {
                label: 'Highlights',
                icon: faHighlighter
            },
            {
                label: 'Tags',
                icon: faTag
            },
            {
                label: 'Comments',
                icon: faMessage$1
            }
        ];
        this.selectedSearchCategory = 'Text';
        this.page = 1;
        this.highlightPipe = new HighlightPipe();
        this.componentRefs = [];
    }
    afterLoadComplete() {
        const queryParams = this.route.snapshot.queryParams;
        if (queryParams['page']) {
            this.page = queryParams['page'];
        }
    }
    selectSearchCategory(category) {
        this.selectedSearchCategory = category;
    }
    search(stringToSearch) {
        this.pdfComponent.eventBus.dispatch('find', {
            query: stringToSearch, type: 'again', caseSensitive: false, findPrevious: undefined, highlightAll: true, phraseSearch: true
        });
    }
    closeSource() {
        this.router.navigate(['sources']);
    }
    showOptions(event) {
        if (event.composedPath().find(e => {
            return this.componentRefs.find(e2 => e === e2.location.nativeElement);
        })) {
            return;
        }
        this.deleteAllComponentRef();
        const target = event.target;
        if (!this.minimalView) {
            const page = target.parentElement;
            const left = event.clientX - page.getBoundingClientRect().left;
            const top = event.clientY - page.getBoundingClientRect().top;
            const dynamicComponent = this.viewContainerRef.createComponent(DynamicComponent);
            dynamicComponent.location.nativeElement.style.top = `${top}px`;
            dynamicComponent.location.nativeElement.style.left = `${left}px`;
            dynamicComponent.location.nativeElement.classList.add('position-absolute');
            target.parentElement?.parentElement?.insertAdjacentElement('beforeend', dynamicComponent.location.nativeElement);
            this.componentRefs.push(dynamicComponent);
            dynamicComponent.instance.highlightClicked.subscribe(this.setClassesForHighlights.bind(this));
            dynamicComponent.instance.tagClicked.subscribe(this.setClassesForTags.bind(this));
            dynamicComponent.instance.privateTagClicked.subscribe(this.setClassesForTags.bind(this));
            dynamicComponent.instance.commentClicked.subscribe(this.setClassesForComments.bind(this));
            dynamicComponent.instance.removeRequested.subscribe(this.deleteAllComponentRef.bind(this));
        }
    }
    setClassesForComments() {
        const selection = window?.getSelection();
        if (!selection) {
            return;
        }
        const text = selection?.toString();
        const comment = {
            id: crypto.randomUUID(),
            spanLocations: [],
            comment: '',
            text
        };
        this.setClassesForItem(comment, this.comments, 'match-comment', this.spanCommentsMap, selection);
    }
    setClassesForHighlights() {
        const selection = window?.getSelection();
        if (!selection)
            return;
        const text = selection?.toString();
        const highlight = {
            id: crypto.randomUUID(),
            spanLocations: [],
            text
        };
        this.setClassesForItem(highlight, this.highlights, 'match-highlight', this.spanHighlightsMap, selection);
    }
    setClassesForTags() {
        const selection = window?.getSelection();
        if (!selection)
            return;
        const text = selection?.toString();
        const tagSelection = {
            id: crypto.randomUUID(),
            spanLocations: [],
            text,
            tags: []
        };
        this.setClassesForItem(tagSelection, this.tags, 'match-tag', this.spanTagMap, selection);
    }
    deleteAllComponentRef() {
        this.componentRefs.forEach(ref => {
            ref.destroy();
        });
        this.componentRefs = [];
    }
    findRangeSections(selection) {
        const range = selection?.getRangeAt(0);
        const rangeClone = range?.cloneRange();
        let locations = [];
        if (rangeClone) {
            const startLocation = this.getSpanLocation(rangeClone?.startContainer);
            const endLocation = this.getSpanLocation(rangeClone?.endContainer);
            locations = this.getInterveningLocations(startLocation, endLocation);
            if (locations.length > 0) {
                locations[0].startOffset = selection?.anchorOffset;
                locations[locations.length - 1].endOffset = selection?.focusOffset;
            }
        }
        return locations;
    }
    getFirstPage(selection) {
        return selection.spanLocations.length > 0 ? selection.spanLocations[0].pageNumber : null;
    }
    getFirstSpan(selection) {
        return selection.spanLocations.length > 0 ? selection.spanLocations[0].spanIndex : null;
    }
    removeHighlight(highlight) {
        const index = this.highlights.findIndex(c => c.id === highlight.id);
        if (index > -1) {
            this.highlights.splice(index, 1);
        }
        this.removeSelection(highlight, 'match-highlight', highlight.id, this.spanHighlightsMap);
    }
    setClassesForItem(item, list, htmlClass, selectionMap, selection) {
        const locations = this.findRangeSections(selection);
        if (locations.length < 1) {
            return;
        }
        item.spanLocations.push(...locations);
        list.push(item);
        for (const location of locations) {
            this.setSpanClassFromLocationMapped(location, htmlClass, item.id, selectionMap);
        }
        list.sort(this.sortSelection.bind(this));
    }
    sortSelection(a, b) {
        const res = (this.getFirstPage(a) ?? 0) - (this.getFirstPage(b) ?? 0);
        if (res === 0) {
            return (this.getFirstSpan(a) ?? 0) - (this.getFirstSpan(b) ?? 0);
        }
        return res;
    }
    removeComment(comment) {
        const index = this.comments.findIndex(c => c.id === comment.id);
        if (index > -1) {
            this.comments.splice(index, 1);
        }
        this.removeSelection(comment, 'match-comment', comment.id, this.spanCommentsMap);
    }
    goToSelection(selection) {
        this.selectSelection(selection);
        if (selection.spanLocations.length > 0) {
            const span = this.getSpanFromLocation(selection.spanLocations[0]);
            if (span) {
                span.scrollIntoView();
            }
        }
    }
    selectSelection(selection) {
        document.querySelectorAll('span.match-active').forEach(s => {
            s.classList.remove('match-active');
        });
        for (const location of selection.spanLocations) {
            this.setSpanClassFromLocation(location, 'match-active');
        }
    }
    removeSelection(selection, htmlClass, selectionId, selectionMap) {
        for (const location of selection.spanLocations) {
            this.removeSpanClassFromLocation(location, htmlClass, selectionId, selectionMap);
        }
    }
    removeTag(tag) {
        const index = this.tags.findIndex(c => c.id === tag.id);
        if (index > -1) {
            this.tags.splice(index, 1);
        }
        this.removeSelection(tag, 'match-tag', tag.id, this.spanTagMap);
    }
    getSpanFromLocation(location) {
        const textLayer = this.getTextLayerFromLocation(location.pageNumber);
        if (textLayer && location.spanIndex > -1) {
            const spans = Array.from(textLayer?.querySelectorAll('span:not(.inner-span)'));
            return spans[location.spanIndex];
        }
        return null;
    }
    setSpanClassFromLocationMapped(location, htmlClass, selectionId, selectionMap) {
        const textLayer = this.getTextLayerFromLocation(location.pageNumber);
        if (textLayer && location.spanIndex > -1) {
            const spans = Array.from(textLayer?.querySelectorAll('span:not(.inner-span)'));
            const span = spans[location.spanIndex];
            if (span) {
                let spanSet = selectionMap.get(span);
                if (!spanSet) {
                    spanSet = new Set();
                    selectionMap.set(span, spanSet);
                }
                spanSet.add(selectionId);
            }
            span.classList.add(htmlClass);
        }
    }
    setSpanClassFromLocation(location, htmlClass) {
        const textLayer = this.getTextLayerFromLocation(location.pageNumber);
        if (textLayer && location.spanIndex > -1) {
            const spans = Array.from(textLayer?.querySelectorAll('span:not(.inner-span)'));
            const span = spans[location.spanIndex];
            span.classList.add(htmlClass);
        }
    }
    removeSpanClassFromLocation(location, htmlClass, selectionId, selectionMap) {
        const textLayer = this.getTextLayerFromLocation(location.pageNumber);
        if (textLayer && location.spanIndex > -1) {
            const spans = Array.from(textLayer?.querySelectorAll('span:not(.inner-span)'));
            const span = spans[location.spanIndex];
            const spanSet = selectionMap.get(span);
            if (spanSet) {
                spanSet.delete(selectionId);
                if (spanSet.size < 1) {
                    span.classList.remove(htmlClass);
                    document.querySelectorAll('span.match-active').forEach(s => {
                        s.classList.remove('match-active');
                    });
                    selectionMap.delete(span);
                }
            }
            else {
                span.classList.remove(htmlClass);
                document.querySelectorAll('span.match-active').forEach(s => {
                    s.classList.remove('match-active');
                });
            }
        }
    }
    getSpanLocation(startContainer) {
        const startPage = this.getPageParent(startContainer);
        const startSpan = this.getSpan(startContainer);
        const location = {
            pageNumber: -1,
            spanIndex: -1
        };
        if (startPage && startSpan) {
            const startPageNumberAttr = startPage.attributes.getNamedItem('data-page-number');
            const pageNumber = startPageNumberAttr?.value;
            if (pageNumber) {
                location.pageNumber = +pageNumber;
            }
            const textLayer = startPage.querySelector('div.textLayer');
            if (textLayer) {
                const spans = Array.from(textLayer.querySelectorAll('span:not(.inner-span)'));
                const spanIndex = spans.findIndex(s => s == startSpan);
                location.spanIndex = spanIndex;
            }
        }
        return location;
    }
    getInterveningTextLayers(startPage, endPage) {
        const pages = [];
        for (let p = startPage + 1; p < endPage; p++) {
            const page = this.getTextLayerFromLocation(p);
            if (page) {
                pages.push(page);
            }
        }
        return pages;
    }
    getInterveningLocations(startLocation, endLocation) {
        const locations = [];
        if (startLocation.pageNumber === endLocation.pageNumber) {
            if (startLocation.spanIndex === endLocation.spanIndex) {
                locations.push(startLocation);
            }
            else {
                locations.push(...this.getSamePageLocations(startLocation, endLocation));
            }
        }
        else {
            locations.push(...this.getAllNonSamePageLocations(startLocation, endLocation));
        }
        return locations;
    }
    getAllNonSamePageLocations(startLocation, endLocation) {
        const locations = [];
        locations.push(...this.getStartPageLocations(startLocation));
        if (startLocation.pageNumber && endLocation.pageNumber) {
            for (let p = startLocation.pageNumber + 1; p < endLocation.pageNumber; p++) {
                locations.push(...this.getAllLocationsOnPage(p));
            }
        }
        locations.push(...this.getEndPageLocations(endLocation));
        return locations;
    }
    getStartPageLocations(startLocation) {
        const textLayer = this.getTextLayerFromLocation(startLocation.pageNumber);
        const locations = [];
        if (textLayer && startLocation.spanIndex > -1 && startLocation.pageNumber) {
            const allSpans = Array.from(textLayer.querySelectorAll('span:not(.inner-span)'));
            for (let s = startLocation.spanIndex; s < allSpans.length; s++) {
                locations.push({
                    pageNumber: startLocation.pageNumber,
                    spanIndex: s
                });
            }
        }
        return locations;
    }
    getAllLocationsOnPage(pageNumber) {
        const textLayer = this.getTextLayerFromLocation(pageNumber);
        const locations = [];
        if (textLayer) {
            const allSpans = Array.from(textLayer.querySelectorAll('span:not(.inner-span)'));
            for (let s = 0; s < allSpans.length; s++) {
                locations.push({
                    pageNumber,
                    spanIndex: s
                });
            }
        }
        return locations;
    }
    getEndPageLocations(endLocation) {
        const locations = [];
        if (endLocation.spanIndex > -1 && endLocation.pageNumber) {
            for (let s = 0; s <= endLocation.spanIndex; s++) {
                locations.push({
                    pageNumber: endLocation.pageNumber,
                    spanIndex: s
                });
            }
        }
        return locations;
    }
    getSamePageLocations(startLocation, endLocation) {
        const locations = [];
        locations.push(startLocation);
        if (startLocation.spanIndex > -1 && endLocation.spanIndex > -1 && startLocation.pageNumber) {
            for (let s = startLocation.spanIndex + 1; s < endLocation.spanIndex; s++) {
                locations.push({
                    pageNumber: startLocation.pageNumber,
                    spanIndex: s
                });
            }
        }
        locations.push(endLocation);
        return locations;
    }
    getTextLayerFromLocation(pageNumber) {
        return this.pdfComponent.pdfViewerContainer
            .nativeElement
            .querySelector(`[data-page-number="${pageNumber}"]`)
            ?.querySelector('div.textLayer');
    }
    getMiddlePages(startPage, endPage) {
        let siblingElement = startPage?.nextElementSibling;
        const pages = [];
        while (siblingElement && siblingElement !== endPage) {
            if (siblingElement.nodeName === 'DIV' && siblingElement.classList.contains('page')) {
                pages.push(siblingElement);
            }
            siblingElement = siblingElement.nextElementSibling;
        }
        return pages;
    }
    getPageParent(node) {
        const parent = node.parentElement;
        if (!parent) {
            return null;
        }
        else if (parent.nodeName === 'DIV') {
            if (parent.classList.contains('page')) {
                return parent;
            }
            else {
                return this.getPageParent(parent);
            }
        }
        else {
            return this.getPageParent(parent);
        }
    }
    getSpan(node) {
        if (node.nodeName === '#text') {
            return node.parentElement;
        }
        else if (node.nodeName === 'SPAN') {
            return node;
        }
        else {
            return null;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: MoPdfViewerComponent, deps: [{ token: i1$1.Router }, { token: i1$1.ActivatedRoute }, { token: i0.ViewContainerRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: MoPdfViewerComponent, selector: "mo-pdf-viewer", inputs: { pdfSrc: "pdfSrc", documentTitle: "documentTitle", documentClassification: "documentClassification", documentAuthor: "documentAuthor", minimalView: "minimalView" }, viewQueries: [{ propertyName: "pdfComponent", first: true, predicate: PdfViewerComponent, descendants: true }], ngImport: i0, template: "<div class=\"container-fluid h-100\">\r\n  <div class=\"row h-100\">\r\n    <div *ngIf=\"!minimalView\" class=\"col-4 section-container-left ps-3 d-flex flex-column h-100\">\r\n      <div class=\"row mb-5\">\r\n        <div class=\"col-auto me-auto mt-5 ms-3\">\r\n          <h1>PDF Viewer</h1>\r\n        </div>\r\n\r\n        <div class=\"col-auto ms-auto\">\r\n          <div class=\"icon-circle d-flex rounded-circle mt-3 me-2\">\r\n            <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faUser\" />\r\n          </div>\r\n        </div>\r\n      </div>\r\n\r\n      <ng-container *ngIf=\"selectedSearchCategory === 'Text'\">\r\n        <div class=\"row mb-3\">\r\n          <div class=\"col-auto d-flex pe-0\">\r\n            <button type=\"button\" title=\"search\" class=\"btn btn-sm btn-secondary-outline\" (click)=\"search(searchText)\">\r\n              <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faFile\" />\r\n            </button>\r\n          </div>\r\n\r\n          <div class=\"col-auto d-flex p-0\">\r\n            <div class=\"my-auto\">\r\n              <div ngbDropdown class=\"d-flex align-items-center\">\r\n                <button type=\"button\" title=\"search category\" ngbDropdownToggle class=\"btn btn-secondary-outline btn-sm\">\r\n                  <!-- intentionally empty -->\r\n                </button>\r\n\r\n                <div ngbDropdownMenu>\r\n                  <button ngbDropdownItem class=\"btn btn-secondary-outline\"\r\n                  *ngFor=\"let category of searchCategories\">\r\n                    <fa-icon class=\"mx-auto my-auto\" [icon]=\"category.icon\" />\r\n                    {{category.label}}\r\n                  </button>\r\n                </div>\r\n              </div>\r\n            </div>\r\n          </div>\r\n\r\n          <div class=\"col-auto d-flex pe-2\">\r\n            <div class=\"input-group input-group-sm my-auto\">\r\n              <div class=\"input-group-prepend\">\r\n                <span class=\"input-group-text\" id=\"inputGroup-sizing-sm\">Find me anything labelled with</span>\r\n              </div>\r\n\r\n              <input type=\"text\"\r\n                class=\"form-control\"\r\n                aria-label=\"Small\"\r\n                aria-describedby=\"inputGroup-sizing-sm\"\r\n                [(ngModel)]=\"searchText\"\r\n                (keyup.enter)=\"search(searchText)\">\r\n            </div>\r\n          </div>\r\n\r\n          <div class=\"col-auto d-flex px-0\">\r\n            <button class=\"btn btn-sm btn-secondary-outline\">\r\n              <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faSliders\" />\r\n              Filter\r\n            </button>\r\n          </div>\r\n        </div>\r\n\r\n        <div *ngFor=\"let result of results\" class=\"row mb-2 ms-5\">\r\n          <div class=\"col-auto\">\r\n            <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faFile\" />\r\n          </div>\r\n\r\n          <div class=\"col\">\r\n            {{result.label}}\r\n          </div>\r\n        </div>\r\n      </ng-container>\r\n\r\n      <ng-container *ngIf=\"selectedSearchCategory === 'Highlights'\">\r\n        <div class=\"row ms-2\">\r\n          <div class=\"col\">\r\n            <h3>Highlights:</h3>\r\n          </div>\r\n        </div>\r\n\r\n        <div class=\"row flex-grow-1 overflow-auto\">\r\n          <div class=\"col h-100\">\r\n            <div *ngFor=\"let highlight of highlights\" class=\"row mb-5 border border-secondary mx-2\"\r\n              (click)=\"selectSelection(highlight)\"\r\n              [attr.tabindex]=\"0\"\r\n              (keyup)=\"selectSelection(highlight)\">\r\n              <div class=\"col\">\r\n                <div class=\"row light-gray-background\">\r\n                  <div class=\"col-auto ms-2\">\r\n                    Page: {{getFirstPage(highlight)}}\r\n                  </div>\r\n\r\n                  <div class=\"col-auto ms-auto\">\r\n                    <button (click)=\"goToSelection(highlight)\"\r\n                    class=\"btn btn-outline-secondary btn-sm\">\r\n                      Go\r\n                    </button>\r\n                  </div>\r\n\r\n                  <div class=\"col-auto auto\">\r\n                    <button type=\"button\" title=\"Remove Highlight\" (click)=\"removeHighlight(highlight)\" class=\"btn btn-danger btn-sm\">\r\n                      <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faTrash\" />\r\n                    </button>\r\n                  </div>\r\n                </div>\r\n\r\n                <div class=\"row\">\r\n                  <div class=\"col-auto ms-3\">\r\n                    {{highlight.text}}\r\n                  </div>\r\n                </div>\r\n              </div>\r\n            </div>\r\n          </div>\r\n        </div>\r\n      </ng-container>\r\n\r\n      <ng-container *ngIf=\"selectedSearchCategory === 'Tags'\">\r\n        <div class=\"row ms-2\">\r\n          <div class=\"col\">\r\n            <h3>Tags:</h3>\r\n          </div>\r\n        </div>\r\n\r\n        <div class=\"row flex-grow-1 overflow-auto\">\r\n          <div class=\"col h-100\">\r\n            <div *ngFor=\"let tag of tags\" class=\"row mb-5 border border-secondary mx-2\"\r\n              (click)=\"selectSelection(tag)\"\r\n              [attr.tabindex]=\"0\"\r\n              (keyup)=\"selectSelection(tag)\">\r\n              <div class=\"col\">\r\n                <div class=\"row light-gray-background\">\r\n                  <div class=\"col-auto ms-2\">\r\n                    Page: {{getFirstPage(tag)}}\r\n                  </div>\r\n\r\n                  <div class=\"col-auto ms-auto\">\r\n                    <button (click)=\"goToSelection(tag)\" class=\"btn btn-outline-secondary btn-sm\">\r\n                      Go\r\n                    </button>\r\n                  </div>\r\n\r\n                  <div class=\"col-auto auto\">\r\n                    <button type=\"button\" title=\"Remove Tag\" (click)=\"removeTag(tag)\" class=\"btn btn-danger btn-sm\">\r\n                      <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faTrash\" />\r\n                    </button>\r\n                  </div>\r\n                </div>\r\n\r\n                <div class=\"row\">\r\n                  <div class=\"col-auto ms-3\">\r\n                    {{tag.text}}\r\n                  </div>\r\n                </div>\r\n              </div>\r\n            </div>\r\n          </div>\r\n        </div>\r\n      </ng-container>\r\n\r\n      <ng-container *ngIf=\"selectedSearchCategory === 'Comments'\">\r\n        <div class=\"row ms-2\">\r\n          <div class=\"col\">\r\n            <h3>Comments:</h3>\r\n          </div>\r\n        </div>\r\n\r\n        <div class=\"row flex-grow-1 overflow-auto\">\r\n          <div class=\"col h-100\">\r\n            <div *ngFor=\"let comment of comments\" class=\"row mb-5 border border-secondary mx-2\"\r\n              (click)=\"selectSelection(comment)\"\r\n              [attr.tabindex]=\"0\"\r\n              (keyup)=\"selectSelection(comment)\">\r\n              <div class=\"col\">\r\n                <div class=\"row light-gray-background\">\r\n                  <div class=\"col-auto ms-2\">\r\n                    Page: {{getFirstPage(comment)}}\r\n                  </div>\r\n\r\n                  <div class=\"col-auto ms-auto\">\r\n                    <button (click)=\"goToSelection(comment)\" class=\"btn btn-outline-secondary btn-sm\">\r\n                      Go\r\n                    </button>\r\n                  </div>\r\n\r\n                  <div class=\"col-auto auto\">\r\n                    <button type=\"button\" title=\"Remove Comment\" (click)=\"removeComment(comment)\" class=\"btn btn-danger btn-sm\">\r\n                      <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faTrash\" />\r\n                    </button>\r\n                  </div>\r\n                </div>\r\n\r\n                <div class=\"row\">\r\n                  <div class=\"col-auto ms-3\">\r\n                    {{comment.text}}\r\n                  </div>\r\n                </div>\r\n\r\n                <div class=\"row w-100\">\r\n                  <div class=\"col-auto w-100 ms-3\">\r\n                    <textarea title=\"Comment\" class=\"w-100\" [(ngModel)]=\"comment.comment\"></textarea>\r\n                  </div>\r\n                </div>\r\n              </div>\r\n            </div>\r\n          </div>\r\n        </div>\r\n      </ng-container>\r\n    </div>\r\n\r\n    <div class=\"col-8 h-100 d-flex flex-column\" [ngClass]=\"minimalView ? 'preview-full-view' : 'section-container-right'\">\r\n      <div class=\"row info-row mt-2 text-secondary\">\r\n        <div class=\"col-auto d-flex\">\r\n          <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faFile\"></fa-icon>\r\n        </div>\r\n\r\n        <div class=\"col-auto d-flex\">\r\n          <div class=\"my-auto doc-name\">\r\n            {{documentTitle}}\r\n          </div>\r\n        </div>\r\n\r\n        <div class=\"col-auto d-flex\">\r\n          <div class=\"my-auto\">\r\n            {{documentClassification}}\r\n          </div>\r\n        </div>\r\n\r\n        <div class=\"col-auto d-flex\">\r\n          <div class=\"my-auto\">\r\n            {{documentAuthor}}\r\n          </div>\r\n        </div>\r\n\r\n        <div class=\"col-auto d-flex flex-column\">\r\n          <button class=\"btn btn-sm btn-outline-secondary py-0 my-auto\">\r\n            -- <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faArrowTrendUp\"></fa-icon>\r\n          </button>\r\n        </div>\r\n\r\n        <div class=\"col-auto d-flex flex-column\">\r\n          <button class=\"btn btn-sm btn-outline-secondary py-0 my-auto\">\r\n            -- <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faThumbsUp\"></fa-icon>\r\n          </button>\r\n        </div>\r\n\r\n        <div class=\"col-auto d-flex flex-column\">\r\n          <button class=\"btn btn-sm btn-outline-secondary py-0 my-auto\">\r\n            -- <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faTag\"></fa-icon>\r\n          </button>\r\n        </div>\r\n\r\n        <div class=\"col-auto d-flex\">\r\n          <div class=\"my-auto\">\r\n            Viewed\r\n          </div>\r\n        </div>\r\n\r\n        <div class=\"col-auto d-flex\">\r\n          <div class=\"my-auto\">\r\n            Page: {{page}}\r\n          </div>\r\n        </div>\r\n\r\n        <div *ngIf=\"!minimalView\" class=\"ms-auto col-auto\">\r\n          <button class=\"btn btn-sm btn-outline-secondary\"\r\n          (click)=\"closeSource()\">\r\n            x\r\n          </button>\r\n        </div>\r\n      </div>\r\n\r\n      <div *ngIf=\"!minimalView\" class=\"row ms-2\">\r\n        <div class=\"col-auto clickable\"\r\n          (click)=\"deleteAllComponentRef()\"\r\n          (keyup.enter)=\"deleteAllComponentRef()\"\r\n          [attr.tabindex]=\"0\">\r\n          <div class=\"row d-flex my-2\">\r\n            <div class=\"col-auto mx-auto\">\r\n              <fa-icon class=\"mx-auto my-auto\"\r\n              size=\"2x\"\r\n              [icon]=\"I.faBookOpenReader\"></fa-icon>\r\n            </div>\r\n          </div>\r\n\r\n          <div class=\"row d-flex\">\r\n            <div class=\"col-auto mx-auto\">\r\n              <h6>\r\n                Add to Library\r\n              </h6>\r\n            </div>\r\n          </div>\r\n        </div>\r\n\r\n        <div *ngFor=\"let category of searchCategories\"\r\n          class=\"col-auto clickable top-category\"\r\n          (click)=\"selectSearchCategory(category.label)\"\r\n          (keyup.enter)=\"selectSearchCategory(category.label)\"\r\n          [attr.tabindex]=\"0\"\r\n          [class.active-top-category]=\"selectedSearchCategory === category.label\">\r\n          <div class=\"row d-flex my-2\">\r\n            <div class=\"col-auto mx-auto\">\r\n              <fa-icon class=\"mx-auto my-auto\"\r\n              size=\"2x\"\r\n              [icon]=\"category.icon\"></fa-icon>\r\n            </div>\r\n          </div>\r\n\r\n          <div class=\"row d-flex\">\r\n            <div class=\"col-auto mx-auto\">\r\n              <h6>\r\n                {{category.label}}\r\n              </h6>\r\n            </div>\r\n          </div>\r\n        </div>\r\n      </div>\r\n\r\n      <div class=\"row flex-grow-1\">\r\n        <div class=\"col h-100\">\r\n          <pdf-viewer\r\n          *ngIf=\"pdfSrc\"\r\n          [src]=\"pdfSrc\"\r\n          [original-size]=\"true\"\r\n          [render-text]=\"true\"\r\n          [fit-to-page]=\"false\"\r\n          [show-borders]=\"true\"\r\n          [(page)]=\"page\"\r\n          (mouseup)=\"showOptions($event)\"\r\n          (pages-initialized)=\"afterLoadComplete()\"\r\n          class=\"h-100 w-100\"></pdf-viewer>\r\n        </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n</div>\r\n", styles: [".section-container-left{background-color:#f8f8f8}.section-container-right{background-color:#f2f2f2}.info-row{background-color:#dadada}.icon-circle{height:1.5rem;aspect-ratio:1/1;background-color:#d3d3d3}.doc-name{font-weight:700}.top-category{border:solid transparent 1px}.active-top-category{border:solid black 1px}.light-gray-background{background-color:#d3d3d3}.preview-full-view{width:100%}\n"], dependencies: [{ kind: "component", type: i2.PdfViewerComponent, selector: "pdf-viewer", inputs: ["src", "c-maps-url", "page", "render-text", "render-text-mode", "original-size", "show-all", "stick-to-page", "zoom", "zoom-scale", "rotation", "external-link-target", "autoresize", "fit-to-page", "show-borders"], outputs: ["after-load-complete", "page-rendered", "pages-initialized", "text-layer-rendered", "error", "on-progress", "pageChange"] }, { kind: "component", type: i1.FaIconComponent, selector: "fa-icon", inputs: ["icon", "title", "animation", "spin", "pulse", "mask", "styles", "flip", "size", "pull", "border", "inverse", "symbol", "rotate", "fixedWidth", "classes", "transform", "a11yRole"] }, { kind: "directive", type: i4.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i4.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i4.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i5.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i5.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i5.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: MoPdfViewerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'mo-pdf-viewer', template: "<div class=\"container-fluid h-100\">\r\n  <div class=\"row h-100\">\r\n    <div *ngIf=\"!minimalView\" class=\"col-4 section-container-left ps-3 d-flex flex-column h-100\">\r\n      <div class=\"row mb-5\">\r\n        <div class=\"col-auto me-auto mt-5 ms-3\">\r\n          <h1>PDF Viewer</h1>\r\n        </div>\r\n\r\n        <div class=\"col-auto ms-auto\">\r\n          <div class=\"icon-circle d-flex rounded-circle mt-3 me-2\">\r\n            <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faUser\" />\r\n          </div>\r\n        </div>\r\n      </div>\r\n\r\n      <ng-container *ngIf=\"selectedSearchCategory === 'Text'\">\r\n        <div class=\"row mb-3\">\r\n          <div class=\"col-auto d-flex pe-0\">\r\n            <button type=\"button\" title=\"search\" class=\"btn btn-sm btn-secondary-outline\" (click)=\"search(searchText)\">\r\n              <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faFile\" />\r\n            </button>\r\n          </div>\r\n\r\n          <div class=\"col-auto d-flex p-0\">\r\n            <div class=\"my-auto\">\r\n              <div ngbDropdown class=\"d-flex align-items-center\">\r\n                <button type=\"button\" title=\"search category\" ngbDropdownToggle class=\"btn btn-secondary-outline btn-sm\">\r\n                  <!-- intentionally empty -->\r\n                </button>\r\n\r\n                <div ngbDropdownMenu>\r\n                  <button ngbDropdownItem class=\"btn btn-secondary-outline\"\r\n                  *ngFor=\"let category of searchCategories\">\r\n                    <fa-icon class=\"mx-auto my-auto\" [icon]=\"category.icon\" />\r\n                    {{category.label}}\r\n                  </button>\r\n                </div>\r\n              </div>\r\n            </div>\r\n          </div>\r\n\r\n          <div class=\"col-auto d-flex pe-2\">\r\n            <div class=\"input-group input-group-sm my-auto\">\r\n              <div class=\"input-group-prepend\">\r\n                <span class=\"input-group-text\" id=\"inputGroup-sizing-sm\">Find me anything labelled with</span>\r\n              </div>\r\n\r\n              <input type=\"text\"\r\n                class=\"form-control\"\r\n                aria-label=\"Small\"\r\n                aria-describedby=\"inputGroup-sizing-sm\"\r\n                [(ngModel)]=\"searchText\"\r\n                (keyup.enter)=\"search(searchText)\">\r\n            </div>\r\n          </div>\r\n\r\n          <div class=\"col-auto d-flex px-0\">\r\n            <button class=\"btn btn-sm btn-secondary-outline\">\r\n              <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faSliders\" />\r\n              Filter\r\n            </button>\r\n          </div>\r\n        </div>\r\n\r\n        <div *ngFor=\"let result of results\" class=\"row mb-2 ms-5\">\r\n          <div class=\"col-auto\">\r\n            <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faFile\" />\r\n          </div>\r\n\r\n          <div class=\"col\">\r\n            {{result.label}}\r\n          </div>\r\n        </div>\r\n      </ng-container>\r\n\r\n      <ng-container *ngIf=\"selectedSearchCategory === 'Highlights'\">\r\n        <div class=\"row ms-2\">\r\n          <div class=\"col\">\r\n            <h3>Highlights:</h3>\r\n          </div>\r\n        </div>\r\n\r\n        <div class=\"row flex-grow-1 overflow-auto\">\r\n          <div class=\"col h-100\">\r\n            <div *ngFor=\"let highlight of highlights\" class=\"row mb-5 border border-secondary mx-2\"\r\n              (click)=\"selectSelection(highlight)\"\r\n              [attr.tabindex]=\"0\"\r\n              (keyup)=\"selectSelection(highlight)\">\r\n              <div class=\"col\">\r\n                <div class=\"row light-gray-background\">\r\n                  <div class=\"col-auto ms-2\">\r\n                    Page: {{getFirstPage(highlight)}}\r\n                  </div>\r\n\r\n                  <div class=\"col-auto ms-auto\">\r\n                    <button (click)=\"goToSelection(highlight)\"\r\n                    class=\"btn btn-outline-secondary btn-sm\">\r\n                      Go\r\n                    </button>\r\n                  </div>\r\n\r\n                  <div class=\"col-auto auto\">\r\n                    <button type=\"button\" title=\"Remove Highlight\" (click)=\"removeHighlight(highlight)\" class=\"btn btn-danger btn-sm\">\r\n                      <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faTrash\" />\r\n                    </button>\r\n                  </div>\r\n                </div>\r\n\r\n                <div class=\"row\">\r\n                  <div class=\"col-auto ms-3\">\r\n                    {{highlight.text}}\r\n                  </div>\r\n                </div>\r\n              </div>\r\n            </div>\r\n          </div>\r\n        </div>\r\n      </ng-container>\r\n\r\n      <ng-container *ngIf=\"selectedSearchCategory === 'Tags'\">\r\n        <div class=\"row ms-2\">\r\n          <div class=\"col\">\r\n            <h3>Tags:</h3>\r\n          </div>\r\n        </div>\r\n\r\n        <div class=\"row flex-grow-1 overflow-auto\">\r\n          <div class=\"col h-100\">\r\n            <div *ngFor=\"let tag of tags\" class=\"row mb-5 border border-secondary mx-2\"\r\n              (click)=\"selectSelection(tag)\"\r\n              [attr.tabindex]=\"0\"\r\n              (keyup)=\"selectSelection(tag)\">\r\n              <div class=\"col\">\r\n                <div class=\"row light-gray-background\">\r\n                  <div class=\"col-auto ms-2\">\r\n                    Page: {{getFirstPage(tag)}}\r\n                  </div>\r\n\r\n                  <div class=\"col-auto ms-auto\">\r\n                    <button (click)=\"goToSelection(tag)\" class=\"btn btn-outline-secondary btn-sm\">\r\n                      Go\r\n                    </button>\r\n                  </div>\r\n\r\n                  <div class=\"col-auto auto\">\r\n                    <button type=\"button\" title=\"Remove Tag\" (click)=\"removeTag(tag)\" class=\"btn btn-danger btn-sm\">\r\n                      <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faTrash\" />\r\n                    </button>\r\n                  </div>\r\n                </div>\r\n\r\n                <div class=\"row\">\r\n                  <div class=\"col-auto ms-3\">\r\n                    {{tag.text}}\r\n                  </div>\r\n                </div>\r\n              </div>\r\n            </div>\r\n          </div>\r\n        </div>\r\n      </ng-container>\r\n\r\n      <ng-container *ngIf=\"selectedSearchCategory === 'Comments'\">\r\n        <div class=\"row ms-2\">\r\n          <div class=\"col\">\r\n            <h3>Comments:</h3>\r\n          </div>\r\n        </div>\r\n\r\n        <div class=\"row flex-grow-1 overflow-auto\">\r\n          <div class=\"col h-100\">\r\n            <div *ngFor=\"let comment of comments\" class=\"row mb-5 border border-secondary mx-2\"\r\n              (click)=\"selectSelection(comment)\"\r\n              [attr.tabindex]=\"0\"\r\n              (keyup)=\"selectSelection(comment)\">\r\n              <div class=\"col\">\r\n                <div class=\"row light-gray-background\">\r\n                  <div class=\"col-auto ms-2\">\r\n                    Page: {{getFirstPage(comment)}}\r\n                  </div>\r\n\r\n                  <div class=\"col-auto ms-auto\">\r\n                    <button (click)=\"goToSelection(comment)\" class=\"btn btn-outline-secondary btn-sm\">\r\n                      Go\r\n                    </button>\r\n                  </div>\r\n\r\n                  <div class=\"col-auto auto\">\r\n                    <button type=\"button\" title=\"Remove Comment\" (click)=\"removeComment(comment)\" class=\"btn btn-danger btn-sm\">\r\n                      <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faTrash\" />\r\n                    </button>\r\n                  </div>\r\n                </div>\r\n\r\n                <div class=\"row\">\r\n                  <div class=\"col-auto ms-3\">\r\n                    {{comment.text}}\r\n                  </div>\r\n                </div>\r\n\r\n                <div class=\"row w-100\">\r\n                  <div class=\"col-auto w-100 ms-3\">\r\n                    <textarea title=\"Comment\" class=\"w-100\" [(ngModel)]=\"comment.comment\"></textarea>\r\n                  </div>\r\n                </div>\r\n              </div>\r\n            </div>\r\n          </div>\r\n        </div>\r\n      </ng-container>\r\n    </div>\r\n\r\n    <div class=\"col-8 h-100 d-flex flex-column\" [ngClass]=\"minimalView ? 'preview-full-view' : 'section-container-right'\">\r\n      <div class=\"row info-row mt-2 text-secondary\">\r\n        <div class=\"col-auto d-flex\">\r\n          <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faFile\"></fa-icon>\r\n        </div>\r\n\r\n        <div class=\"col-auto d-flex\">\r\n          <div class=\"my-auto doc-name\">\r\n            {{documentTitle}}\r\n          </div>\r\n        </div>\r\n\r\n        <div class=\"col-auto d-flex\">\r\n          <div class=\"my-auto\">\r\n            {{documentClassification}}\r\n          </div>\r\n        </div>\r\n\r\n        <div class=\"col-auto d-flex\">\r\n          <div class=\"my-auto\">\r\n            {{documentAuthor}}\r\n          </div>\r\n        </div>\r\n\r\n        <div class=\"col-auto d-flex flex-column\">\r\n          <button class=\"btn btn-sm btn-outline-secondary py-0 my-auto\">\r\n            -- <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faArrowTrendUp\"></fa-icon>\r\n          </button>\r\n        </div>\r\n\r\n        <div class=\"col-auto d-flex flex-column\">\r\n          <button class=\"btn btn-sm btn-outline-secondary py-0 my-auto\">\r\n            -- <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faThumbsUp\"></fa-icon>\r\n          </button>\r\n        </div>\r\n\r\n        <div class=\"col-auto d-flex flex-column\">\r\n          <button class=\"btn btn-sm btn-outline-secondary py-0 my-auto\">\r\n            -- <fa-icon class=\"mx-auto my-auto\" [icon]=\"I.faTag\"></fa-icon>\r\n          </button>\r\n        </div>\r\n\r\n        <div class=\"col-auto d-flex\">\r\n          <div class=\"my-auto\">\r\n            Viewed\r\n          </div>\r\n        </div>\r\n\r\n        <div class=\"col-auto d-flex\">\r\n          <div class=\"my-auto\">\r\n            Page: {{page}}\r\n          </div>\r\n        </div>\r\n\r\n        <div *ngIf=\"!minimalView\" class=\"ms-auto col-auto\">\r\n          <button class=\"btn btn-sm btn-outline-secondary\"\r\n          (click)=\"closeSource()\">\r\n            x\r\n          </button>\r\n        </div>\r\n      </div>\r\n\r\n      <div *ngIf=\"!minimalView\" class=\"row ms-2\">\r\n        <div class=\"col-auto clickable\"\r\n          (click)=\"deleteAllComponentRef()\"\r\n          (keyup.enter)=\"deleteAllComponentRef()\"\r\n          [attr.tabindex]=\"0\">\r\n          <div class=\"row d-flex my-2\">\r\n            <div class=\"col-auto mx-auto\">\r\n              <fa-icon class=\"mx-auto my-auto\"\r\n              size=\"2x\"\r\n              [icon]=\"I.faBookOpenReader\"></fa-icon>\r\n            </div>\r\n          </div>\r\n\r\n          <div class=\"row d-flex\">\r\n            <div class=\"col-auto mx-auto\">\r\n              <h6>\r\n                Add to Library\r\n              </h6>\r\n            </div>\r\n          </div>\r\n        </div>\r\n\r\n        <div *ngFor=\"let category of searchCategories\"\r\n          class=\"col-auto clickable top-category\"\r\n          (click)=\"selectSearchCategory(category.label)\"\r\n          (keyup.enter)=\"selectSearchCategory(category.label)\"\r\n          [attr.tabindex]=\"0\"\r\n          [class.active-top-category]=\"selectedSearchCategory === category.label\">\r\n          <div class=\"row d-flex my-2\">\r\n            <div class=\"col-auto mx-auto\">\r\n              <fa-icon class=\"mx-auto my-auto\"\r\n              size=\"2x\"\r\n              [icon]=\"category.icon\"></fa-icon>\r\n            </div>\r\n          </div>\r\n\r\n          <div class=\"row d-flex\">\r\n            <div class=\"col-auto mx-auto\">\r\n              <h6>\r\n                {{category.label}}\r\n              </h6>\r\n            </div>\r\n          </div>\r\n        </div>\r\n      </div>\r\n\r\n      <div class=\"row flex-grow-1\">\r\n        <div class=\"col h-100\">\r\n          <pdf-viewer\r\n          *ngIf=\"pdfSrc\"\r\n          [src]=\"pdfSrc\"\r\n          [original-size]=\"true\"\r\n          [render-text]=\"true\"\r\n          [fit-to-page]=\"false\"\r\n          [show-borders]=\"true\"\r\n          [(page)]=\"page\"\r\n          (mouseup)=\"showOptions($event)\"\r\n          (pages-initialized)=\"afterLoadComplete()\"\r\n          class=\"h-100 w-100\"></pdf-viewer>\r\n        </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n</div>\r\n", styles: [".section-container-left{background-color:#f8f8f8}.section-container-right{background-color:#f2f2f2}.info-row{background-color:#dadada}.icon-circle{height:1.5rem;aspect-ratio:1/1;background-color:#d3d3d3}.doc-name{font-weight:700}.top-category{border:solid transparent 1px}.active-top-category{border:solid black 1px}.light-gray-background{background-color:#d3d3d3}.preview-full-view{width:100%}\n"] }]
        }], ctorParameters: function () { return [{ type: i1$1.Router }, { type: i1$1.ActivatedRoute }, { type: i0.ViewContainerRef }]; }, propDecorators: { pdfSrc: [{
                type: Input,
                args: [{ required: true }]
            }], documentTitle: [{
                type: Input
            }], documentClassification: [{
                type: Input
            }], documentAuthor: [{
                type: Input
            }], minimalView: [{
                type: Input
            }], pdfComponent: [{
                type: ViewChild,
                args: [PdfViewerComponent]
            }] } });

class MoPdfViewerModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: MoPdfViewerModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: MoPdfViewerModule, declarations: [MoPdfViewerComponent], imports: [PdfViewerModule,
            FontAwesomeModule,
            BrowserAnimationsModule,
            FormsModule], exports: [MoPdfViewerComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: MoPdfViewerModule, imports: [PdfViewerModule,
            FontAwesomeModule,
            BrowserAnimationsModule,
            FormsModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: MoPdfViewerModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        MoPdfViewerComponent
                    ],
                    imports: [
                        PdfViewerModule,
                        FontAwesomeModule,
                        BrowserAnimationsModule,
                        FormsModule
                    ],
                    exports: [
                        MoPdfViewerComponent
                    ]
                }]
        }] });

/*
 * Public API Surface of mo-pdf-viewer
 */

/**
 * Generated bundle index. Do not edit.
 */

export { MoPdfViewerComponent, MoPdfViewerModule };
//# sourceMappingURL=modusoperandi-pdf-viewer.mjs.map
